<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (Schema::hasTable('emirates')) {
            // Check if the column does not exist
            if (!Schema::hasColumn('emirates', 'status')) {
                Schema::table('emirates', function (Blueprint $table) {
                    $table->integer('status')->default(0)->after('name'); // Add the status column
                });
            }
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        if (Schema::hasTable('emirates') && Schema::hasColumn('emirates', 'status')) {
            Schema::table('emirates', function (Blueprint $table) {
                $table->dropColumn('status');
            });
        }
    }
};
